"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
var clrc_1 = require("clrc");
var react_1 = require("react");
exports.default = (function (lrcs) {
    var lines = (0, react_1.useMemo)(function () {
        var map = new Map();
        for (var _i = 0, lrcs_1 = lrcs; _i < lrcs_1.length; _i++) {
            var lrc = lrcs_1[_i];
            var list = (0, clrc_1.parse)(lrc).filter(function (l) { return l.type === clrc_1.LineType.LYRIC; });
            for (var _a = 0, list_1 = list; _a < list_1.length; _a++) {
                var item = list_1[_a];
                var current = map.get(item.startMillisecond) || {
                    id: Math.random().toString(),
                    startMillisecond: item.startMillisecond,
                    children: [],
                };
                current.children.push({
                    lineNumber: item.lineNumber,
                    raw: item.raw,
                    content: item.content,
                });
                map.set(item.startMillisecond, current);
            }
        }
        return __spreadArray([], map.values(), true).sort(function (a, b) { return a.startMillisecond - b.startMillisecond; });
    }, __spreadArray([lrcs.length], lrcs, true));
    return lines;
});
