"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function throttle(f, wait) {
    if (wait === void 0) { wait = 100; }
    var lastEmitTimestamp = 0;
    return function () {
        var params = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            params[_i] = arguments[_i];
        }
        var now = Date.now();
        if (now - lastEmitTimestamp >= wait) {
            lastEmitTimestamp = now;
            return f.apply(void 0, params);
        }
    };
}
exports.default = throttle;
