"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
/**
 * stable useCallback
 * @author mebtte<hi@mebtte.com>
 */
function useEvent(callback) {
    var callbackRef = (0, react_1.useRef)();
    callbackRef.current = callback;
    var memoCallback = (0, react_1.useCallback)(function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return callbackRef.current.apply(callbackRef, args);
    }, []);
    return memoCallback;
}
exports.default = useEvent;
